# Template Repository
Meant to be used as a template when creating new repositories.

The default project json is a little advanced for some individuals' tastes. You are welcome to switch it out, or use one of the other provided project template files.
## Uses

- Selene for linting
- Rojo for syncing
- Luau Language Server for syntax, intellisense, type checking, and intellisense syncing

## Installation

- Luau Language Server [Link](https://marketplace.visualstudio.com/items?itemName=JohnnyMorganz.luau-lsp)
    - Has an optional Roblox Studio plugin which allows for you to have intellisense for in-studio assets like Instances.

- Rojo (One way syncing) [Link](https://marketplace.visualstudio.com/items?itemName=evaera.vscode-rojo)
    - You will need the Roblox Studio pair version of this extension.

- Selene Linting (Preferably download locally via cargo{rust}) [Link](https://marketplace.visualstudio.com/items?itemName=Kampfkarren.selene-vscode)

- Stylua (Styling/Formatting) [Link](https://marketplace.visualstudio.com/items?itemName=JohnnyMorganz.stylua)

## Info

Use the init.meta.json to ignore descendant/neighbor files when syncing. This means that it will not overwrite non rojo files that may be present only in Roblox Studio. 

Clone this file into whatever folder this functionality would be applicable to you.

## Branches

The repository has two protected branches.
- main
    - Does not allow for code to be pushed to main, and merging a branch into main requires approval before doing so.
- testing
    - Does not allow for code to be pushed to testing, however merging is permitted as this branch is intended for testing code.